<style>
input[type="checkbox"].data {
display: none;
margin: 0px;
padding: 0px;
background-color: #ffffff;
}
input[type="checkbox"].data + label {
margin: 0px;
padding: 0px;
border: none;
background-color: #ffffff;
}
input[type="checkbox"].data:checked + label {
margin: 0px;
padding: 0px;
border: none;
color: #3cb371;
background-color: #ffffff;
}
input[type="checkbox"].data:checked + label:hover {
margin: 0px;
padding: 0px;
color: #3cb371;
border: none;
background-color: #ffffff;
}
label.data {
margin: 0px;
padding: 0px;
text-align: center;
cursor: pointer;
color: #dddddd;
background-color: #ffffff;
border: none;
}
</style>
<div class='row align-items-top justify-content-left'>
  <div class='col'>
    <h4 style='font-size: 13pt;'><i class='fa fa-cog'></i> Result of Metrology</h4>
  </div>
</div>

<div class='row align-items-top justify-content-left'>
  <div class='col-md-6'>
    <h4 style='font-size: 10pt;'>
    {% if component['qctest']['results'] %}
      <i class='fa fa-file'></i> Scan
    {% endif %}
    </h4>
    {% if component['qctest']['results'] %}
        <table class='table table-sm table-bordered' style='font-size: 8pt;'>
          <thead class='table-light'>
            <tr>
              <th scope='col' class='text-left'>Key</th>
              <th scope='col' class='text-left'>Data</th>
            </tr>
          </thead>
          <tbody>
            <tr>
              <th scope='raw' class='text-left'>component id</td>
              <td class='text-left'>{{ component['qctest']['results']['component'] }}</td>
            </tr>
            <tr>
              <th scope='raw' class='text-left'>current Stage</td>
              <td class='text-left'>{{ component['qctest']['results']['currentStage'] }}</td>
            </tr>
            <tr>
              <th scope='raw' class='text-left'>test Type</td>
              <td class='text-left'>{{ component['qctest']['results']['testType'] }}</td>
            </tr>
            <tr>
              <th scope='raw' class='text-left'>institute</td>
              <td class='text-left'>{{ component['qctest']['results']['institute'] }}</td>
            </tr>
            <tr>
              <th scope='raw' class='text-left'>user</td>
              <td class='text-left'>{{ component['qctest']['results']['user'] }}</td>
            </tr>
          </tbody>
        </table>
    {% endif %}
  </div>
</div>

<div class='row align-items-top justify-content-left'>
  <div class='col-md-6'>
    <h4 style='font-size: 10pt;'>
    {% if component['qctest']['results'] %}
      <i class='fa fa-file'></i> Result
    {% endif %}
    </h4>
    {% if component['qctest']['results'] %}
        <table class='table table-sm table-bordered' style='font-size: 8pt;'>
          <thead class='table-light'>
            <tr>
              <th scope='col' class='text-left' colspan=2>Results of distance</th>
            </tr>
            <tr>
              <th scope='col' class='text-left'>Key</th>
              <th scope='col' class='text-left'>Data</th>
            </tr>
          </thead>
          <tbody>
            {% for keys in component['qctest']['results']['results'] %}
              {% if "distance" in keys %}
                <tr>
                  <th scope='raw' class='text-left'> {{ keys }} </td>
                  <td class='text-left'>{{ component['qctest']['results']['results'][keys] }}</td>
                </tr>
              {% endif %}
            {% endfor %}
          </tbody>
        </table>
        <table class='table table-sm table-bordered' style='font-size: 8pt;'>
          <thead class='table-light'>
            <tr>
              <th scope='col' class='text-left' colspan=2>Results of angle</th>
            </tr>
            <tr>
              <th scope='col' class='text-left'>Key</th>
              <th scope='col' class='text-left'>Data</th>
            </tr>
          </thead>
          <tbody>
            {% for keys in component['qctest']['results']['results'] %}
              {% if "angle" in keys %}
                <tr>
                  <th scope='raw' class='text-left'> {{ keys }} </td>
                  <td class='text-left'>{{ component['qctest']['results']['results'][keys] }}</td>
                </tr>
              {% endif %}
            {% endfor %}
          </tbody>
        </table>
        <table class='table table-sm table-bordered' style='font-size: 8pt;'>
          <thead class='table-light'>
            <tr>
              <th scope='col' class='text-left' colspan=2>Results of module thickness</th>
            </tr>
            <tr>
              <th scope='col' class='text-left'>Key</th>
              <th scope='col' class='text-left'>Data</th>
            </tr>
          </thead>
          <tbody>
            {% for keys in component['qctest']['results']['results'] %}
              {% if "thickness" in keys %}
                <tr>
                  <th scope='raw' class='text-left'> {{ keys }} </td>
                  <td class='text-left'>{{ component['qctest']['results']['results'][keys] }}</td>
                </tr>
              {% endif %}
            {% endfor %}
          </tbody>
        </table>
        <table class='table table-sm table-bordered' style='font-size: 8pt;'>
          <thead class='table-light'>
            <tr>
              <th scope='col' class='text-left' colspan=2>Results of planarity</th>
            </tr>
            <tr>
              <th scope='col' class='text-left'>Key</th>
              <th scope='col' class='text-left'>Data</th>
            </tr>
          </thead>
          <tbody>
            {% for keys in component['qctest']['results']['results'] %}
              {% if "planarity" in keys %}
                <tr>
                  <th scope='raw' class='text-left'> {{ keys }} </td>
                  <td class='text-left'>{{ component['qctest']['results']['results'][keys] }}</td>
                </tr>
              {% endif %}
            {% endfor %}
          </tbody>
        </table>
        <table class='table table-sm table-bordered' style='font-size: 8pt;'>
          <thead class='table-light'>
            <tr>
              <th scope='col' class='text-left'>comment</th>
            </tr>
          </thead>
          <tbody>
            <tr>
              <td class='text-left'>{{ component['qctest']['results']['results']['comment'] }}</td>
            </tr>
          </tbody>
        </table>
    {% endif %}
  </div>
</div>
